
Redmine - Feature #5665

Subversion: there is no information about property changes

2010-06-10 12:40 - Anonymous

Status: New Start date: 2010-06-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If you view any revision changes via projects/x/repository/revisions/5772 or projects/x/repository/revisions/5772/diff you can't see any

property changes. Property changes are very important especially when merging changes between different branches.

I'm using Redmine 0.9.4 with subversion.

Related issues:

Has duplicate Redmine - Feature #6877: Add prop (property) changes to revisio... Closed 2010-11-12

Has duplicate Redmine - Defect #6876: Diff view truncating lines shouldn't be... Closed 2010-11-12

History

#1 - 2010-06-10 12:57 - Felix Schäfer

Do you have a resource explaining what property changes are and maybe even what they are good for?

#2 - 2010-06-10 13:23 - Anonymous

Properties in general:

http://svnbook.red-bean.com/en/1.5/svn.advanced.props.html

But the most important is svn:mergeinfo property:

http://svnbook.red-bean.com/en/1.5/svn.branchmerge.basicmerging.html#svn.branchmerge.basicmerging.mergeinfo

With this you see that a commit was actually a merged revision. Btw. if you view branch (any directory in fact) in repository browser it should show

mergeinfo property so you could know which revisions are merged to that branch.

For example this is very well made in Trac http://trac.edgewall.org/ repository browser. Simply example here:

http://trac.edgewall.org/browser/branches/0.11-stable

U can see there right now "svn:mergeinfo set to" and bottom are listed branches with merged and eligible info. If you move mouse over them you can

see which revisions are merged and which are missing.

#3 - 2010-10-08 16:05 - H W

I have a similar usability issue with Subversion property changes. The property change that I have to use sometimes is to change the commit

message after a version has been committed, because I have apps going up on the iTunes app store and I don't know whether the version is the

version that was accepted for sale until 5 days after it was committed, which means that I need to change the commit message from something along

the lines of "submitted 1.1 version" to "accepted 1.1 version" in order to make good use of having a versioning system.  When I make a property

change to a revision with an existing commit message in the following way:

svnadmin setlog local/path/to/repository -r 999 file.txt --bypass-hooks

The commit message is updated in svn, which can be verified by running:

svn -r 999 log

inside of the working copy, but the commit message is never updated in the repository tab of Redmine, even if I reboot and even if I attempt to run

fetch_changesets (which always fails with an error).  I hope there is a workaround for this since seeing the new commit message is actually pretty

important for avoiding regressions.  Thanks!

#4 - 2010-11-11 10:23 - Raphael Kallensee

I agree, svn properties are very important - and should get shown in revisions as well as the regular repository browser. We use svn-externals a lot

(which are also set as svn-properties), there's currently no way to view them in Redmine.

H W Winkler: As far as I know, commits and their messages are cached by Redmine (tables "changes" and "changesets" e.g.). The only way might

be to delete some lines in the respective database tables - but I don't think that's a good idea...
#5 - 2010-11-11 11:16 - Jean-Philippe Lang

- Category set to SCM

#6 - 2011-03-29 13:06 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#7 - 2011-04-29 20:58 - Ве Fio

+1 +1 +1

Would be really useful to see the property changes as well.

#8 - 2011-09-02 09:10 - Gilles Cornu

+1. It is a standard (and very comfortable) feature on Trac.

#9 - 2011-09-03 12:42 - Terence Mill

+1

#10 - 2011-10-19 18:02 - Steve Davis

+1

#11 - 2012-05-01 11:21 - Thomas Oppelt

+1 (this missing feature still prevents us from dropping trac's svn web view)

#12 - 2019-07-07 10:30 - Omar Zohary

Is there any update on when this might be implemented.

I'm using

Environment:

  Redmine version                4.0.2.stable

  Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux]

  Rails version                  5.2.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.12.0

  Cvs                            1.12.13

  Git                            2.19.1

  Filesystem                     
